---
date: 2020-11-16
id: 544b3e28-5681-49b6-8054-0fd169a3f65c
title: trim
---

# Description

Removes all
[whitespace](20201116100926-characters_that_count_as_whitespace) from
both ends of a [String](20200922164551-strings). Combination of
[trimStart](20201116100205-trimstart) and
[trimEnd](20201116100239-trimend)

# Syntax

``` javascript
console.log(' abc '.t)
```
